/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.cxf.jaxrs.ext.search;

import java.lang.reflect.Type;

/**
 * Encapsulates a basic search statement such as a = b, i < 5, etc
 */

public class PrimitiveStatement {

    private String property;
    private Object value;
    private Type propertyType;
    private ConditionType condition;

    public PrimitiveStatement(String property, Object value, Type type, ConditionType condition) {
        this.property = property;
        this.value = value;
        this.condition = condition;
        this.propertyType = type;
    }

    public String getProperty() {
        return property;
    }

    public Object getValue() {
        return value;
    }

    public Type getValueType() {
        return propertyType;
    }

    public ConditionType getCondition() {
        return condition;
    }


}
